<?php
include 'connect.php';

if (isset($_GET['id'])) {
    $stmt = $conn->prepare("SELECT * FROM products WHERE id = ?");
    $stmt->execute([$_GET['id']]);
    $product = $stmt->fetch(PDO::FETCH_ASSOC);
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id = $_POST['id'];
    $name = $_POST['name'];
    $price = $_POST['price'];

    $stmt = $conn->prepare("UPDATE products SET name = ?, price = ? WHERE id = ?");
    $stmt->execute([$name, $price, $id]);

    echo "แก้ไขสินค้าสำเร็จ!";
    header("Location: index.php");
}
?>
<form method="post">
    <input type="hidden" name="id" value="<?= $product['id'] ?>">
    ชื่อสินค้า: <input type="text" name="name" value="<?= $product['name'] ?>" required>
    ราคา: <input type="number" name="price" value="<?= $product['price'] ?>" required>
    <button type="submit">บันทึก</button>
</form>
